Skip to main content
POST
/
v2
/
insights
/
routings
/
forms-by-status
Get routing forms by status
curl --request POST \
  --url https://api.cal.com/v2/insights/routings/forms-by-status \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scope": "user",
  "startDate": "2024-01-01",
  "endDate": "2024-01-31",
  "selectedTeamId": 12,
  "columnFilters": [
    {
      "id": "createdAt",
      "value": {
        "type": "dr",
        "data": {
          "startDate": "2024-01-01",
          "endDate": "2024-01-31",
          "preset": "custom"
        }
      }
    }
  ]
}
'
{
  "status": "success",
  "data": {
    "total": 100,
    "totalWithoutBooking": 25,
    "totalWithBooking": 75
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
scope
enum<string>
required
Available options:
user,
team,
org
Example:

"user"

startDate
string
required

Inclusive start date for routing insights

Example:

"2024-01-01"

endDate
string
required

Inclusive end date for routing insights

Example:

"2024-01-31"

selectedTeamId
number

Team ID for team-scoped routing insights

Example:

12

columnFilters
object[]

Data-table column filters (discriminated union by type: ss, ms, t, n, dr). Date range filters use id=createdAt.

Example:
[
{
"id": "createdAt",
"value": {
"type": "dr",
"data": {
"startDate": "2024-01-01",
"endDate": "2024-01-31",
"preset": "custom"
}
}
}
]

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required